// lib/core-request-token.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const RequestTokenSchema = new Schema({
  value: { type: String, required: true, index: 1 },
  claimed: { type: Boolean, default: false, required: true },
});

module.exports.RequestTokenSchema = RequestTokenSchema;